%global debug_package %{nil}

Name:           dnslookup
Version:        1.11.1
Release:        1%{?dist}
Summary:        Simple command line utility to make DNS lookups to the specified server
License:        MIT
URL:            https://github.com/ameshkov/dnslookup
Packager:       Teddysun <i@teddysun.com>
Source0:        https://github.com/ameshkov/dnslookup/archive/refs/tags/v%{version}.tar.gz#/dnslookup-%{version}.tar.gz

%description
Simple command line utility to make DNS lookups.
Supports all known DNS protocols: plain DNS, DoH, DoT, DoQ, DNSCrypt.

%prep
%setup -q -n %{name}-%{version}

%build
# https://pagure.io/go-rpm-macros/c/1cc7f5d9026175bb6cb1b8c889355d0c4fc0e40a
%undefine _auto_set_build_flags

LDFLAGS="-X main.VersionString=v%{version} -s -w -buildid="
env CGO_ENABLED=0 go build -v -trimpath -ldflags "${LDFLAGS}" -o %{name}

%install
%{__install} -d %{buildroot}%{_bindir}
%{__install} -p -m 755 %{name} %{buildroot}%{_bindir}

%files
%{_bindir}/%{name}
%license LICENSE
%doc README.md

%changelog
* Sun May 25 2025 Teddysun <i@teddysun.com> - 1.11.1-1
- Update version to 1.11.1

* Thu May 09 2024 Teddysun <i@teddysun.com> - 1.10.1-1
- Update version to 1.10.1

* Thu Dec 21 2023 Teddysun <i@teddysun.com> - 1.10.0-1
- Initial version 1.10.0
